@import '../../variables.scss';

.checkbox {
  width: 0;

  &:before {
    display: inline-block;
    position: relative;
    height: 0.66rem;
    width: 0.66rem;
    padding: 1px;
    outline: 1px solid $bia-gray;
    outline-offset: 1px;
    border-radius: 1px;
    content: "";
    transform: translate(25%, -50%);
    z-index: 2;
  }

  &:after {
    display: inline-block;
    position: relative;
    background-color: $bia-white;
    content: "";
    height: 1rem;
    width: 1rem;
    transform: translateY(-200%);
    z-index: 1;
  }

  &:disabled::before {
    outline-color: rgba($bia-gray, 0.5);
  }

  &:checked::before {
    background-image: $bia-gradient-primary;
  }

  &--invalid::before{
    outline-color: $bia-tomato;
  }

  &__error{
    &-icon {
      color: $bia-tomato;
      font-size: $text-xl;
      transform: translate(-2.2rem, 1.12rem);
    }

    &-message {
      height: 1.44rem;
      border-radius: 0.25rem;
      color: $bia-white;
      background-color: $bia-tomato;
      font-size: $text-xs;
      transform: translateY(2rem);
      left: 0;
      z-index: 1;
    }

    &-arrow {
      width: 0;
      height: 0;
      border-left: 0.25rem solid transparent;
      border-right: 0.25rem solid transparent;
      border-bottom: 0.25rem solid $bia-tomato;
      transform: translateY(1.75rem);
      left: 0.2rem;
    }
  }

  &__label {
    margin-left: 1.44rem;
    font-size: $text-md;
    line-height:$text-lg;
    font-family: 'Roboto';

    &--disabled {
      color: rgba($bia-gray, 0.5);
    }
  }
}
